package com.jkcredit.invoice.model.entity.customer;

/**
 * 用户信息
 * @author mumuxigua
 */
public class Customer {
    private int id;
    /**
     * etc收费费用
     */
    private Double fee = 5d;

    /**
     * appKey
     */
    private String customerName;

    /**
     * appSecret
     */
    private String appSecret;

    /**
     * 无车最后一次扣费时间
     */
    private String invoiceTime;

    private Integer usenumAll;

    private Integer usenumInterface;

    private Integer usenumPlat;

    private Double accountBalance = 0d;
    /**
     * 2.无车 0.自有车
     */
    private Integer bussinessType;

    private Integer integrationType = 0;

    private String firstSign;
    /**
     * 0 -正常 1-停用
     */
    private Integer accstatus;

    private String company;

    /**
     * 子公司,用于查询
     */
    private String subCompany;

    /**
     * 钱上限
     */
    private Double moneyUpper;

    /**
     * 钱下限
     */
    private Double moneyLower;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName == null ? null : customerName.trim();
    }


    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret == null ? null : appSecret.trim();
    }

    public String getInvoiceTime() {
        return invoiceTime;
    }

    public void setInvoiceTime(String invoiceTime) {
        this.invoiceTime = invoiceTime;
    }

    public Integer getUsenumAll() {
        return usenumAll;
    }

    public void setUsenumAll(Integer usenumAll) {
        this.usenumAll = usenumAll;
    }

    public Integer getUsenumInterface() {
        return usenumInterface;
    }

    public void setUsenumInterface(Integer usenumInterface) {
        this.usenumInterface = usenumInterface;
    }

    public Integer getUsenumPlat() {
        return usenumPlat;
    }

    public void setUsenumPlat(Integer usenumPlat) {
        this.usenumPlat = usenumPlat;
    }

    public Double getAccountBalance() {
        return accountBalance;
    }

    public void setAccountBalance(Double accountBalance) {
        this.accountBalance = accountBalance;
    }

    public Integer getBussinessType() {
        return bussinessType;
    }

    public void setBussinessType(Integer bussinessType) {
        this.bussinessType = bussinessType;
    }

    public Integer getIntegrationType() {
        return integrationType;
    }

    public void setIntegrationType(Integer integrationType) {
        this.integrationType = integrationType;
    }

    public String getFirstSign() {
        return firstSign;
    }

    public void setFirstSign(String firstSign) {
        this.firstSign = firstSign == null ? null : firstSign.trim();
    }

    public Integer getAccstatus() {
        return accstatus;
    }

    public void setAccstatus(Integer accstatus) {
        this.accstatus = accstatus;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company == null ? null : company.trim();
    }

    public Double getFee() {
        return fee;
    }

    public void setFee(Double fee) {
        this.fee = fee;
    }

    public String getSubCompany() {
        return subCompany;
    }

    public void setSubCompany(String subCompany) {
        this.subCompany = subCompany;
    }

    public Double getMoneyUpper() {
        return moneyUpper;
    }

    public void setMoneyUpper(Double moneyUpper) {
        this.moneyUpper = moneyUpper;
    }

    public Double getMoneyLower() {
        return moneyLower;
    }

    public void setMoneyLower(Double moneyLower) {
        this.moneyLower = moneyLower;
    }

    @Override
    public String toString() {
        return "Customer{" +
                "id=" + id +
                ", fee=" + fee +
                ", customerName='" + customerName + '\'' +
                ", appSecret='" + appSecret + '\'' +
                ", invoiceTime='" + invoiceTime + '\'' +
                ", usenumAll=" + usenumAll +
                ", usenumInterface=" + usenumInterface +
                ", usenumPlat=" + usenumPlat +
                ", accountBalance=" + accountBalance +
                ", bussinessType=" + bussinessType +
                ", integrationType=" + integrationType +
                ", firstSign='" + firstSign + '\'' +
                ", accstatus=" + accstatus +
                ", company='" + company + '\'' +
                '}';
    }
}